Skip to content

Use this request to initiate the Create Milestones from Template user action on a study, study country, or site.

POST/api/{version}/vobjects/{object_name}/{object_record_id}/actions/createmilestones
NameDescription
Content-Typeapplication/x-www-form-urlencoded (default)
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value. This endpoint only works with the study__v, study_country__v, or site__v objects.
{object_record_id}The object record ID field value.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ https://myvault.veevavault.com/api/v26.1/vobjects/study__v/0ST000000000202/actions/createmilestones
{ "responseStatus":"SUCCESS", "job_id":130902, "url": "/api/v26.1/services/jobs/130902" }
NameDescription
job_idThe ID value for the job.
urlURL to retrieve the current status of the job.